<?php

    if ( ! class_exists( 'Redux' ) ) {
        return;
    }

    // This is your option name where all the Redux data is stored.
    $opt_name = "chauffeur_data";

    $theme = wp_get_theme(); // For use with some settings. Not necessary.
	
    $args = array(   
        'opt_name'             => $opt_name,
        'display_name'         => $theme->get( 'Name' ),
        'display_version'      => $theme->get( 'Version' ),
        'menu_type'            => 'menu',
        'allow_sub_menu'       => false,
        'menu_title'           => esc_html__( 'Theme Options', 'chauffeur' ),
        'page_title'           => esc_html__( 'Theme Options', 'chauffeur' ),
        'google_api_key'       => '',
        'google_update_weekly' => false,
        'async_typography'     => true,
        'admin_bar'            => true,
        'admin_bar_icon'       => 'dashicons-portfolio',
        'admin_bar_priority'   => 50,
        'global_variable'      => '',
        'dev_mode'             => false,
        'update_notice'        => true,
        'customizer'           => true,
        'page_priority'        => null,
        'page_parent'          => 'themes.php',
        'page_permissions'     => 'manage_options',
        'menu_icon'            => '',
        'last_tab'             => '',
        'page_icon'            => 'icon-themes',
        'page_slug'            => '',
        'save_defaults'        => true,
        'default_show'         => false,
        'default_mark'         => '',
        'show_import_export'   => true,
        'transient_time'       => 60 * MINUTE_IN_SECONDS,
        'output'               => true,
        'output_tag'           => true,
        'database'             => '',
        'use_cdn'              => true,
        'hints'                => array(
            'icon'          => 'el el-question-sign',
            'icon_position' => 'right',
            'icon_color'    => 'lightgray',
            'icon_size'     => 'normal',
            'tip_style'     => array(
                'color'   => 'red',
                'shadow'  => true,
                'rounded' => false,
                'style'   => '',
            ),
            'tip_position'  => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect'    => array(
                'show' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'mouseover',
                ),
                'hide' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'click mouseleave',
                ),
            ),
        )
    );

    Redux::setArgs( $opt_name, $args );

    Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'General', 'chauffeur' ),
        'id'               => 'general',
        'desc'             => '',
        'customizer_width' => '400px',
        'icon'             => 'el el-home',
		'fields'           => array(
			array(
                'id'       => 'site-layout-style',
                'type'     => 'radio',
                'title'    => esc_html__( 'Site Layout Style', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'options'  => array(
                    'right-sidebar' => 'Right Sidebar',
                    'full-width' => 'Full Width'
                ),
                'default'  => 'right-sidebar'
            ),
			array(
				'id'       => 'site-header-style',
				'type'     => 'radio',
				'title'    => esc_html__( 'Header Style', 'chauffeur' ),
				'subtitle' => '',
				'desc'     => '',
				'options'  => array(
					'chauffeur-header-left-align' => 'Left Align Logo',
					'chauffeur-header-center-align' => 'Center Align Logo'
				),
				'default'  => 'chauffeur-header-left-align'
			),
			array(
				'id'       => 'site-footer-style',
				'type'     => 'radio',
				'title'    => esc_html__( 'Footer Message Style', 'chauffeur' ),
				'subtitle' => '',
				'desc'     => '',
				'options'  => array(
					'chauffeur-footer-left-align' => 'Left / Right Align',
					'chauffeur-footer-center-align' => 'Center Align'
				),
				'default'  => 'chauffeur-footer-left-align'
			),
			array(
				'id'       => 'fleet-single-sidebar',
				'type'     => 'radio',
				'title'    => esc_html__( 'Fleet Single Page Sidebar', 'chauffeur' ),
				'subtitle' => '',
				'desc'     => '',
				'options'  => array(
					'chauffeur-fleet-sidebar-on' => 'On',
					'chauffeur-fleet-sidebar-off' => 'Off'
				),
				'default'  => 'chauffeur-fleet-sidebar-on'
			),
			array(
                'id'       => 'top-left-text',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Left Text', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => 'Luxury Transport Services In New York City',
            ),
			array(
                'id'       => 'top-right-link-text1',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Right Link Text 1', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
			array(
                'id'       => 'top-right-link-url1',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Right Link URL 1', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
			array(
                'id'       => 'top-right-link-text2',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Right Link Text 2', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
			array(
                'id'       => 'top-right-link-url2',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Right Link URL 2', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
			array(
                'id'       => 'top-right-link-text3',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Right Link Text 3', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
			array(
                'id'       => 'top-right-link-url3',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Right Link URL 3', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
			array(
                'id'       => 'header-text-title-1',
                'type'     => 'text',
                'title'    => esc_html__( 'Header Text Title 1', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => 'Airport Transfers',
            ),
			array(
                'id'       => 'header-text-1',
                'type'     => 'text',
                'title'    => esc_html__( 'Header Text 1', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => 'Offered At Short Notice',
            ),
			array(
                'id'       => 'header-text-title-2',
                'type'     => 'text',
                'title'    => esc_html__( 'Header Text Title 2', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => 'Wedding Parties',
            ),
			array(
                'id'       => 'header-text-2',
                'type'     => 'text',
                'title'    => esc_html__( 'Header Text 2', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => 'Can Be Easily Arranged',
            ),
			array(
                'id'       => 'header-text-title-3',
                'type'     => 'text',
                'title'    => esc_html__( 'Header Text Title 3', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => 'Business Meetings',
            ),
			array(
                'id'       => 'header-text-3',
                'type'     => 'text',
                'title'    => esc_html__( 'Header Text 3', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => 'You Will Arrive On Time',
            ),
			array(
                'id'       => 'top-right-button-text',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Right Button Text', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => 'Online Booking',
            ),
			array(
                'id'       => 'top-right-button-url',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Right Button URL', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
			array(
                'id'       => 'top-right-button-link-target',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Open top right button in new window/tab', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '0'// 1 = on | 0 = off
            ),
			array(
                'id'       => 'google-map-api-key',
                'type'     => 'text',
                'title'    => esc_html__( 'Google Map API Key', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
			array(
			    'id'       => 'google-api-language',
			    'type'     => 'select',
			    'title'    => __('Google API Language', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'options'  => array(
			        'af' => 'Afrikaans',
					'sq' => 'Albanian',
					'am' => 'Amharic',
					'ar' => 'Arabic',
					'hy' => 'Armenian',
					'az' => 'Azeerbaijani',
					'eu' => 'Basque',
					'be' => 'Belarusian',
					'bn' => 'Bengali',
					'bs' => 'Bosnian',
					'bg' => 'Bulgarian',
					'ca' => 'Catalan',
					'ceb' => 'Cebuano',
					'zh-CN' => 'Chinese (Simplified)',
					'zh-TW' => 'Chinese (Traditional)',
					'co' => 'Corsican',
					'hr' => 'Croatian',
					'cs' => 'Czech',
					'da' => 'Danish',
					'nl' => 'Dutch',
					'en' => 'English',
					'eo' => 'Esperanto',
					'et' => 'Estonian',
					'fi' => 'Finnish',
					'fr' => 'French',
					'fy' => 'Frisian',
					'gl' => 'Galician',
					'ka' => 'Georgian',
					'de' => 'German',
					'el' => 'Greek',
					'gu' => 'Gujarati',
					'ht' => 'Haitian Creole',
					'ha' => 'Hausa',
					'haw' => 'Hawaiian',
					'iw' => 'Hebrew',
					'hi' => 'Hindi',
					'hmn' => 'Hmong',
					'hu' => 'Hungarian',
					'is' => 'Icelandic',
					'ig' => 'Igbo',
					'id' => 'Indonesian',
					'ga' => 'Irish',
					'it' => 'Italian',
					'ja' => 'Japanese',
					'jw' => 'Javanese',
					'kn' => 'Kannada',
					'kk' => 'Kazakh',
					'km' => 'Khmer',
					'ko' => 'Korean',
					'ku' => 'Kurdish',
					'ky' => 'Kyrgyz',
					'lo' => 'Lao',
					'la' => 'Latin',
					'lv' => 'Latvian',
					'lt' => 'Lithuanian',
					'lb' => 'Luxembourgish',
					'mk' => 'Macedonian',
					'mg' => 'Malagasy',
					'ms' => 'Malay',
					'ml' => 'Malayalam',
					'mt' => 'Maltese',
					'mi' => 'Maori',
					'mr' => 'Marathi',
					'mn' => 'Mongolian',
					'my' => 'Myanmar (Burmese)',
					'ne' => 'Nepali',
					'no' => 'Norwegian',
					'ny' => 'Nyanja (Chichewa)',
					'ps' => 'Pashto',
					'fa' => 'Persian',
					'pl' => 'Polish',
					'pt' => 'Portuguese (Portugal, Brazil)',
					'pa' => 'Punjabi',
					'ro' => 'Romanian',
					'ru' => 'Russian',
					'sm' => 'Samoan',
					'gd' => 'Scots Gaelic',
					'sr' => 'Serbian',
					'st' => 'Sesotho',
					'sn' => 'Shona',
					'sd' => 'Sindhi',
					'si' => 'Sinhala (Sinhalese)',
					'sk' => 'Slovak',
					'sl' => 'Slovenian',
					'so' => 'Somali',
					'es' => 'Spanish',
					'su' => 'Sundanese',
					'sw' => 'Swahili',
					'sv' => 'Swedish',
					'tl' => 'Tagalog (Filipino)',
					'tg' => 'Tajik',
					'ta' => 'Tamil',
					'te' => 'Telugu',
					'th' => 'Thai',
					'tr' => 'Turkish',
					'uk' => 'Ukrainian',
					'ur' => 'Urdu',
					'uz' => 'Uzbek',
					'vi' => 'Vietnamese',
					'cy' => 'Welsh',
					'xh' => 'Xhosa',
					'yi' => 'Yiddish',
					'yo' => 'Yoruba',
					'zu' => 'Zulu'
			    ),
			    'default'  => 'en',
			),
			array(
                'id'       => 'footer-message',
                'type'     => 'text',
                'title'    => esc_html__( 'Footer Message', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => esc_html__( 'Text displayed in the bottom center of the site footer', 'chauffeur' ),
                'default'  => '&copy; 2017 Chauffeur. All Rights Reserved',
            ),
			array(
                'id'       => 'fleet_slug',
                'type'     => 'text',
                'title'    => esc_html__( 'Fleet Page URL', 'chauffeur' ),
                'subtitle' => esc_html__( '', 'chauffeur' ),
                'desc'     => esc_html__( 'Required for the breadcrumbs', 'chauffeur' ),
                'default'  => '',
            ),
			array(
                'id'       => 'testimonials_slug',
                'type'     => 'text',
                'title'    => esc_html__( 'Testimonials Page URL', 'chauffeur' ),
                'subtitle' => esc_html__( '', 'chauffeur' ),
                'desc'     => esc_html__( 'Required for the breadcrumbs', 'chauffeur' ),
                'default'  => '',
            )
		)
	) );

	Redux::setSection( $opt_name, array(
	    'title'            => esc_html__( 'Bookings', 'chauffeur' ),
	    'id'               => 'bookings',
	    'desc'             => '',
	    'customizer_width' => '400px',
	    'icon'             => 'el el-credit-card',
		'fields'           => array(
			array(
			    'id'       => 'hourly-minimum',
			    'type'     => 'select',
			    'title'    => __('Minimum time for hourly bookings', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'options'  => array(
			        '1' => '1 hour',
					'2' => '2 hours',
					'3' => '3 hours',
					'4' => '4 hours',
					'5' => '5 hours',
					'6' => '6 hours',
					'7' => '7 hours',
					'8' => '8 hours',
					'9' => '9 hours',
					'10' => '10 hours',
					'11' => '11 hours',
					'12' => '12 hours',
					'13' => '13 hours',
					'14' => '14 hours',
					'15' => '15 hours',
					'16' => '16 hours',
					'17' => '17 hours',
					'18' => '18 hours',
					'19' => '19 hours',
					'20' => '20 hours',
					'21' => '21 hours',
					'22' => '22 hours',
					'23' => '23 hours',
					'24' => '24 hours',
					'25' => '25 hours',
					'26' => '26 hours',
					'27' => '27 hours',
					'28' => '28 hours',
					'29' => '29 hours',
					'30' => '30 hours',
					'31' => '31 hours',
					'32' => '32 hours',
					'33' => '33 hours',
					'34' => '34 hours',
					'35' => '35 hours',
					'36' => '36 hours',
					'37' => '37 hours',
					'38' => '38 hours',
					'39' => '39 hours',
					'40' => '40 hours',
					'41' => '41 hours',
					'42' => '42 hours',
					'43' => '43 hours',
					'44' => '44 hours',
					'45' => '45 hours',
					'46' => '46 hours',
					'47' => '47 hours',
					'48' => '48 hours'
			    ),
			    'default'  => '1',
			),
			array(
			    'id'       => 'hourly-maximum',
			    'type'     => 'select',
			    'title'    => __('Maximum time for hourly bookings', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'options'  => array(
			        '1' => '1 hour',
					'2' => '2 hours',
					'3' => '3 hours',
					'4' => '4 hours',
					'5' => '5 hours',
					'6' => '6 hours',
					'7' => '7 hours',
					'8' => '8 hours',
					'9' => '9 hours',
					'10' => '10 hours',
					'11' => '11 hours',
					'12' => '12 hours',
					'13' => '13 hours',
					'14' => '14 hours',
					'15' => '15 hours',
					'16' => '16 hours',
					'17' => '17 hours',
					'18' => '18 hours',
					'19' => '19 hours',
					'20' => '20 hours',
					'21' => '21 hours',
					'22' => '22 hours',
					'23' => '23 hours',
					'24' => '24 hours',
					'25' => '25 hours',
					'26' => '26 hours',
					'27' => '27 hours',
					'28' => '28 hours',
					'29' => '29 hours',
					'30' => '30 hours',
					'31' => '31 hours',
					'32' => '32 hours',
					'33' => '33 hours',
					'34' => '34 hours',
					'35' => '35 hours',
					'36' => '36 hours',
					'37' => '37 hours',
					'38' => '38 hours',
					'39' => '39 hours',
					'40' => '40 hours',
					'41' => '41 hours',
					'42' => '42 hours',
					'43' => '43 hours',
					'44' => '44 hours',
					'45' => '45 hours',
					'46' => '46 hours',
					'47' => '47 hours',
					'48' => '48 hours'
			    ),
			    'default'  => '48',
			),
			array(
			    'id'       => 'hours-before-booking-minimum',
			    'type'     => 'select',
			    'title'    => __('Cut off time for same day bookings', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'options'  => array(
			        '60' => '1 hour',
					'120' => '2 hours',
					'180' => '3 hours',
					'240' => '4 hours',
					'300' => '5 hours',
					'360' => '6 hours',
					'420' => '7 hours',
					'480' => '8 hours',
					'540' => '9 hours',
					'600' => '10 hours',
					'660' => '11 hours',
					'720' => '12 hours',
					'780' => '13 hours',
					'840' => '14 hours',
					'900' => '15 hours',
					'960' => '16 hours',
					'1020' => '17 hours',
					'1080' => '18 hours',
					'1140' => '19 hours',
					'1200' => '20 hours',
					'1260' => '21 hours',
					'1320' => '22 hours',
					'1380' => '23 hours',
					'1440' => '24 hours'
			    ),
			    'default'  => '60',
			),
			array(
			    'id'       => 'max-selectable-bags',
			    'type'     => 'select',
			    'title'    => __('Maximum bags selectable on the booking form', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'options'  => array(
			        '1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5',
					'6' => '6',
					'7' => '7',
					'8' => '8',
					'9' => '9',
					'10' => '10',
					'11' => '11',
					'12' => '12',
					'13' => '13',
					'14' => '14',
					'15' => '15',
					'16' => '16',
					'17' => '17',
					'18' => '18',
					'19' => '19',
					'20' => '20',
					'21' => '21',
					'22' => '22',
					'23' => '23',
					'24' => '24',
					'25' => '25',
					'26' => '26',
					'27' => '27',
					'28' => '28',
					'29' => '29',
					'30' => '30',
					'31' => '31',
					'32' => '32',
					'33' => '33',
					'34' => '34',
					'35' => '35',
					'36' => '36',
					'37' => '37',
					'38' => '38',
					'39' => '39',
					'40' => '40',
					'41' => '41',
					'42' => '42',
					'43' => '43',
					'44' => '44',
					'45' => '45',
					'46' => '46',
					'47' => '47',
					'48' => '48',
					'49' => '49',
					'50' => '50'
			    ),
			    'default'  => '50',
			),
			array(
			    'id'       => 'max-selectable-passengers',
			    'type'     => 'select',
			    'title'    => __('Maximum passengers selectable on the booking form', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'options'  => array(
			        '1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5',
					'6' => '6',
					'7' => '7',
					'8' => '8',
					'9' => '9',
					'10' => '10',
					'11' => '11',
					'12' => '12',
					'13' => '13',
					'14' => '14',
					'15' => '15',
					'16' => '16',
					'17' => '17',
					'18' => '18',
					'19' => '19',
					'20' => '20',
					'21' => '21',
					'22' => '22',
					'23' => '23',
					'24' => '24',
					'25' => '25',
					'26' => '26',
					'27' => '27',
					'28' => '28',
					'29' => '29',
					'30' => '30',
					'31' => '31',
					'32' => '32',
					'33' => '33',
					'34' => '34',
					'35' => '35',
					'36' => '36',
					'37' => '37',
					'38' => '38',
					'39' => '39',
					'40' => '40',
					'41' => '41',
					'42' => '42',
					'43' => '43',
					'44' => '44',
					'45' => '45',
					'46' => '46',
					'47' => '47',
					'48' => '48',
					'49' => '49',
					'50' => '50'
			    ),
			    'default'  => '50',
			),
			array(
			    'id'       => 'disable-distance',
			    'type'     => 'checkbox',
			    'title'    => __('Remove Distance Based Bookings', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'default'  => '0'// 1 = on | 0 = off
			),
			array(
			    'id'       => 'disable-hourly',
			    'type'     => 'checkbox',
			    'title'    => __('Remove Hourly Based Bookings', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'default'  => '0'// 1 = on | 0 = off
			),
			array(
			    'id'       => 'disable-flat-rate',
			    'type'     => 'checkbox',
			    'title'    => __('Remove Flat Rate Based Bookings', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'default'  => '0'// 1 = on | 0 = off
			),
			array(
	            'id'       => 'currency-symbol',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Currency Symbol', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'e.g. $', 'chauffeur' ),
	            'default'  => '$',
	        ),
			array(
                'id'       => 'currency-symbol-position',
                'type'     => 'radio',
                'title'    => esc_html__( 'Currency Symbol Position', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'options'  => array(
                    'before' => 'Before price e.g. $10',
                    'after' => 'After price e.g. 10$'
                ),
                'default'  => 'before'
            ),
			array(
                'id'       => 'datepicker-format',
                'type'     => 'radio',
                'title'    => esc_html__( 'Datepicker Format', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'options'  => array(
                    'dd/mm/yy' => 'DD/MM/YY',
                    'mm/dd/yy' => 'MM/DD/YY',
					'yy/mm/dd' => 'YY/MM/DD'
                ),
                'default'  => 'dd/mm/yy'
            ),
			array(
                'id'       => 'time-format',
                'type'     => 'radio',
                'title'    => esc_html__( 'Time Format', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'options'  => array(
                    '24hr' => '24 hr e.g. "13.00"',
                    '12hr' => '12 hr e.g. "1.00pm"'
                ),
                'default'  => '24hr'
            ),
			array(
                'id'       => 'google-distance-matrix-unit',
                'type'     => 'radio',
                'title'    => esc_html__( 'Distance Measurement Unit', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'options'  => array(
                    'metric' => 'Metric (km)',
                    'imperial' => 'Imperial (miles)'
                ),
                'default'  => 'metric'
            ),
			array(
			    'id'       => 'remove-vehicle-link',
			    'type'     => 'checkbox',
			    'title'    => __('Remove Vehicle Link On Booking Step 2 Page', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'default'  => '0'// 1 = on | 0 = off
			),
			array(
                'id'       => 'booking-surcharge',
                'type'     => 'radio',
                'title'    => esc_html__( 'Booking Surcharge', 'chauffeur' ),
                'subtitle' => '',
                'desc'     => '',
                'options'  => array(
                    'percentage' => esc_html__( 'Percentage of Total', 'chauffeur' ),
                    'flat-rate' => esc_html__( 'Flat Rate', 'chauffeur' ),
					'none' => esc_html__( 'None', 'chauffeur' ),
                ),
                'default'  => 'none'
            ),
			array(
	            'id'       => 'surcharge-percentage',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Surcharge Percentage', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'For "10%" just add "10", do not add "%"', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'surcharge-flat-rate',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Surcharge Flat Rate', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'For "$10" just add "10", do not add "$"', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
			    'id'       => 'surcharge-enable-distance',
			    'type'     => 'checkbox',
			    'title'    => __('Enable Surcharge For Distance Bookings', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'default'  => '1'// 1 = on | 0 = off
			),
			array(
			    'id'       => 'surcharge-enable-hourly',
			    'type'     => 'checkbox',
			    'title'    => __('Enable Surcharge For Hourly Bookings', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'default'  => '1'// 1 = on | 0 = off
			),
			array(
			    'id'       => 'surcharge-enable-flat-rate',
			    'type'     => 'checkbox',
			    'title'    => __('Enable Surcharge For Flat Rate Bookings', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'default'  => '1'// 1 = on | 0 = off
			),
			array(
			    'id'       => 'google-limit-country',
			    'type'     => 'select',
			    'title'    => __('Limit Search/Booking To a Specific Country', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'options'  => array(
			        'ALL_COUNTRIES' => 'All Countries',
					'AF' => 'Afghanistan',
					'AX' => 'Åland Islands',
					'AL' => 'Albania',
					'DZ' => 'Algeria',
					'AS' => 'American Samoa',
					'AD' => 'Andorra',
					'AO' => 'Angola',
					'AI' => 'Anguilla',
					'AQ' => 'Antarctica',
					'AG' => 'Antigua and Barbuda',
					'AR' => 'Argentina',
					'AM' => 'Armenia',
					'AW' => 'Aruba',
					'AU' => 'Australia',
					'AT' => 'Austria',
					'AZ' => 'Azerbaijan',
					'BS' => 'Bahamas',
					'BH' => 'Bahrain',
					'BD' => 'Bangladesh',
					'BB' => 'Barbados',
					'BY' => 'Belarus',
					'BE' => 'Belgium',
					'BZ' => 'Belize',
					'BJ' => 'Benin',
					'BM' => 'Bermuda',
					'BT' => 'Bhutan',
					'BO' => 'Bolivia (Plurinational State of)',
					'BQ' => 'Bonaire, Sint Eustatius and Saba',
					'BA' => 'Bosnia and Herzegovina',
					'BW' => 'Botswana',
					'BV' => 'Bouvet Island',
					'BR' => 'Brazil',
					'IO' => 'British Indian Ocean Territory',
					'BN' => 'Brunei Darussalam',
					'BG' => 'Bulgaria',
					'BF' => 'Burkina Faso',
					'BI' => 'Burundi',
					'CV' => 'Cabo Verde',
					'KH' => 'Cambodia',
					'CM' => 'Cameroon',
					'CA' => 'Canada',
					'KY' => 'Cayman Islands',
					'CF' => 'Central African Republic',
					'TD' => 'Chad',
					'CL' => 'Chile',
					'CN' => 'China',
					'CX' => 'Christmas Island',
					'CC' => 'Cocos (Keeling) Islands',
					'CO' => 'Colombia',
					'KM' => 'Comoros',
					'CG' => 'Congo',
					'CD' => 'Congo (Democratic Republic of the)',
					'CK' => 'Cook Islands',
					'CR' => 'Costa Rica',
					'CI' => 'Côte d\'Ivoire',
					'HR' => 'Croatia',
					'CU' => 'Cuba',
					'CW' => 'Curaçao',
					'CY' => 'Cyprus',
					'CZ' => 'Czechia',
					'DK' => 'Denmark',
					'DJ' => 'Djibouti',
					'DM' => 'Dominica',
					'DO' => 'Dominican Republic',
					'EC' => 'Ecuador',
					'EG' => 'Egypt',
					'SV' => 'El Salvador',
					'GQ' => 'Equatorial Guinea',
					'ER' => 'Eritrea',
					'EE' => 'Estonia',
					'ET' => 'Ethiopia',
					'FK' => 'Falkland Islands (Malvinas)',
					'FO' => 'Faroe Islands',
					'FJ' => 'Fiji',
					'FI' => 'Finland',
					'FR' => 'France',
					'GF' => 'French Guiana',
					'PF' => 'French Polynesia',
					'TF' => 'French Southern Territories',
					'GA' => 'Gabon',
					'GM' => 'Gambia',
					'GE' => 'Georgia',
					'DE' => 'Germany',
					'GH' => 'Ghana',
					'GI' => 'Gibraltar',
					'GR' => 'Greece',
					'GL' => 'Greenland',
					'GD' => 'Grenada',
					'GP' => 'Guadeloupe',
					'GU' => 'Guam',
					'GT' => 'Guatemala',
					'GG' => 'Guernsey',
					'GN' => 'Guinea',
					'GW' => 'Guinea-Bissau',
					'GY' => 'Guyana',
					'HT' => 'Haiti',
					'HM' => 'Heard Island and McDonald Islands',
					'VA' => 'Holy See',
					'HN' => 'Honduras',
					'HK' => 'Hong Kong',
					'HU' => 'Hungary',
					'IS' => 'Iceland',
					'IN' => 'India',
					'ID' => 'Indonesia',
					'IR' => 'Iran (Islamic Republic of)',
					'IQ' => 'Iraq',
					'IE' => 'Ireland',
					'IM' => 'Isle of Man',
					'IL' => 'Israel',
					'IT' => 'Italy',
					'JM' => 'Jamaica',
					'JP' => 'Japan',
					'JE' => 'Jersey',
					'JO' => 'Jordan',
					'KZ' => 'Kazakhstan',
					'KE' => 'Kenya',
					'KI' => 'Kiribati',
					'KP' => 'Korea (Democratic People\'s Republic of)',
					'KR' => 'Korea (Republic of)',
					'KW' => 'Kuwait',
					'KG' => 'Kyrgyzstan',
					'LA' => 'Lao People\'s Democratic Republic',
					'LV' => 'Latvia',
					'LB' => 'Lebanon',
					'LS' => 'Lesotho',
					'LR' => 'Liberia',
					'LY' => 'Libya',
					'LI' => 'Liechtenstein',
					'LT' => 'Lithuania',
					'LU' => 'Luxembourg',
					'MO' => 'Macao',
					'MK' => 'Macedonia (the former Yugoslav Republic of)',
					'MG' => 'Madagascar',
					'MW' => 'Malawi',
					'MY' => 'Malaysia',
					'MV' => 'Maldives',
					'ML' => 'Mali',
					'MT' => 'Malta',
					'MH' => 'Marshall Islands',
					'MQ' => 'Martinique',
					'MR' => 'Mauritania',
					'MU' => 'Mauritius',
					'YT' => 'Mayotte',
					'MX' => 'Mexico',
					'FM' => 'Micronesia (Federated States of)',
					'MD' => 'Moldova (Republic of)',
					'MC' => 'Monaco',
					'MN' => 'Mongolia',
					'ME' => 'Montenegro',
					'MS' => 'Montserrat',
					'MA' => 'Morocco',
					'MZ' => 'Mozambique',
					'MM' => 'Myanmar',
					'NA' => 'Namibia',
					'NR' => 'Nauru',
					'NP' => 'Nepal',
					'NL' => 'Netherlands',
					'NC' => 'New Caledonia',
					'NZ' => 'New Zealand',
					'NI' => 'Nicaragua',
					'NE' => 'Niger',
					'NG' => 'Nigeria',
					'NU' => 'Niue',
					'NF' => 'Norfolk Island',
					'MP' => 'Northern Mariana Islands',
					'NO' => 'Norway',
					'OM' => 'Oman',
					'PK' => 'Pakistan',
					'PW' => 'Palau',
					'PS' => 'Palestine, State of',
					'PA' => 'Panama',
					'PG' => 'Papua New Guinea',
					'PY' => 'Paraguay',
					'PE' => 'Peru',
					'PH' => 'Philippines',
					'PN' => 'Pitcairn',
					'PL' => 'Poland',
					'PT' => 'Portugal',
					'PR' => 'Puerto Rico',
					'QA' => 'Qatar',
					'RE' => 'Réunion',
					'RO' => 'Romania',
					'RU' => 'Russian Federation',
					'RW' => 'Rwanda',
					'BL' => 'Saint Barthélemy',
					'SH' => 'Saint Helena, Ascension and Tristan da Cunha',
					'KN' => 'Saint Kitts and Nevis',
					'LC' => 'Saint Lucia',
					'MF' => 'Saint Martin (French part)',
					'PM' => 'Saint Pierre and Miquelon',
					'VC' => 'Saint Vincent and the Grenadines',
					'WS' => 'Samoa',
					'SM' => 'San Marino',
					'ST' => 'Sao Tome and Principe',
					'SA' => 'Saudi Arabia',
					'SN' => 'Senegal',
					'RS' => 'Serbia',
					'SC' => 'Seychelles',
					'SL' => 'Sierra Leone',
					'SG' => 'Singapore',
					'SX' => 'Sint Maarten (Dutch part)',
					'SK' => 'Slovakia',
					'SI' => 'Slovenia',
					'SB' => 'Solomon Islands',
					'SO' => 'Somalia',
					'ZA' => 'South Africa',
					'GS' => 'South Georgia and the South Sandwich Islands',
					'SS' => 'South Sudan',
					'ES' => 'Spain',
					'LK' => 'Sri Lanka',
					'SD' => 'Sudan',
					'SR' => 'Suriname',
					'SJ' => 'Svalbard and Jan Mayen',
					'SZ' => 'Swaziland',
					'SE' => 'Sweden',
					'CH' => 'Switzerland',
					'SY' => 'Syrian Arab Republic',
					'TW' => 'Taiwan, Province of China',
					'TJ' => 'Tajikistan',
					'TZ' => 'Tanzania, United Republic of',
					'TH' => 'Thailand',
					'TL' => 'Timor-Leste',
					'TG' => 'Togo',
					'TK' => 'Tokelau',
					'TO' => 'Tonga',
					'TT' => 'Trinidad and Tobago',
					'TN' => 'Tunisia',
					'TR' => 'Turkey',
					'TM' => 'Turkmenistan',
					'TC' => 'Turks and Caicos Islands',
					'TV' => 'Tuvalu',
					'UG' => 'Uganda',
					'UA' => 'Ukraine',
					'AE' => 'United Arab Emirates',
					'GB' => 'United Kingdom of Great Britain and Northern Ireland',
					'US' => 'United States of America',
					'UM' => 'United States Minor Outlying Islands',
					'UY' => 'Uruguay',
					'UZ' => 'Uzbekistan',
					'VU' => 'Vanuatu',
					'VE' => 'Venezuela (Bolivarian Republic of)',
					'VN' => 'Viet Nam',
					'VG' => 'Virgin Islands (British)',
					'VI' => 'Virgin Islands (U.S.)',
					'WF' => 'Wallis and Futuna',
					'EH' => 'Western Sahara',
					'YE' => 'Yemen',
					'ZM' => 'Zambia',
					'ZW' => 'Zimbabwe'
			    ),
			    'default'  => 'ALL_COUNTRIES',
			),
			array(
			    'id'       => 'enable-paypal',
			    'type'     => 'checkbox',
			    'title'    => __('Accept PayPal Payments', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'default'  => '0'// 1 = on | 0 = off
			),
			array(
			    'id'       => 'enable-stripe',
			    'type'     => 'checkbox',
			    'title'    => __('Accept Stripe Payments', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'default'  => '0'// 1 = on | 0 = off
			),
			array(
			    'id'       => 'enable-cash',
			    'type'     => 'checkbox',
			    'title'    => __('Accept Cash Payments', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'default'  => '0'// 1 = on | 0 = off
			),
			array(
			    'id'       => 'hide-pricing',
			    'type'     => 'checkbox',
			    'title'    => __('Remove All Pricing/Payments', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => '',
			    'default'  => '0'// 1 = on | 0 = off
			),
			array(
	            'id'       => 'booking-email',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Bookings Email Address', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Emails will be sent to this address when a booking is placed', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'booking-page-url',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Booking Page URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'The URL of the page with the [booking_page] shortcode added to it should be entered here', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'thanks-page-url',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Thanks Page URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'The URL of the page with the [booking_thanks_page] shortcode added to it should be entered here', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'customer-booking-email-subject',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Customer Booking Email Subject', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'The subject of the booking email sent to customers', 'chauffeur' ),
	            'default'  => esc_html__( 'Thanks for booking with Chauffeur!', 'chauffeur' ),
	        ),
			array(
	            'id'       => 'customer-booking-email-content',
	            'type'     => 'textarea',
	            'title'    => esc_html__( 'Customer Booking Email Template', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Email message sent to customers when they place a booking (note: booking data such as pickup date, time, etc is automatically inserted already)', 'chauffeur' ),
	            'default'  => esc_html__( 'Thanks, we have received your booking and will get back to you shortly!', 'chauffeur' ),
	        ),
			array(
	            'id'       => 'admin-booking-email-subject',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Admin Booking Email Subject', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'The subject of the booking email sent to the website admin', 'chauffeur' ),
	            'default'  => esc_html__( 'A New Vehicle Booking Has Been Placed', 'chauffeur' ),
	        ),
			array(
	            'id'       => 'admin-booking-email-content',
	            'type'     => 'textarea',
	            'title'    => esc_html__( 'Admin Booking Email Template', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Email message sent to the website admin when customers place a booking (note: booking data such as pickup date, time, etc is automatically inserted already)', 'chauffeur' ),
	            'default'  => esc_html__( 'Please see below for details of the booking', 'chauffeur' ),
	        ),
			array(
	            'id'       => 'email-sender-name',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Email Sender Name', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'The sender name used for the customer and admin email', 'chauffeur' ),
	            'default'  => esc_html__( 'Mr Chauffeur', 'chauffeur' ),
	        ),
			array(
	            'id'       => 'booking-thanks-message',
	            'type'     => 'textarea',
	            'title'    => esc_html__( 'Booking Thanks Message', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Displayed to customers after successfully booking', 'chauffeur' ),
	            'default'  => esc_html__( 'Thanks for booking! We have sent you a confirmation email which should arrive in your inbox shortly!', 'chauffeur' ),
	        ),
			array(
	            'id'       => 'terms_conditions',
	            'type'     => 'textarea',
	            'title'    => esc_html__( 'Terms & Conditions', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( '', 'chauffeur' ),
	            'default'  => esc_html__( '', 'chauffeur' ),
	        ),
	    )

	) );
	
	Redux::setSection( $opt_name, array(
	    'title'            => esc_html__( 'PayPal', 'chauffeur' ),
	    'id'               => 'paypal',
	    'desc'             => '',
	    'customizer_width' => '400px',
	    'icon'             => 'el el-credit-card',
		'fields'           => array(
			array(
			    'id'       => 'paypal-currency',
			    'type'     => 'select',
			    'title'    => __('PayPal Currency', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => esc_html__( 'The currency PayPal payments will be process with', 'chauffeur' ),
			    'options'  => array(
			        'AUD' => 'AUD (Australian Dollar)',
					'BRL' => 'BRL (Brazilian Real)',
					'CAD' => 'CAD (Canadian Dollar)',
					'CZK' => 'CZK (Czech Koruna)',
					'DKK' => 'DKK (Danish Krone)',
					'EUR' => 'EUR (Euro)',
					'HKD' => 'HKD (Hong Kong Dollar)',
					'HUF' => 'HUF (Hungarian Forint)',
					'ILS' => 'ILS (Israeli New Sheqel)',
					'JPY' => 'JPY (Japanese Yen)',
					'MYR' => 'MYR (Malaysian Ringgit)',
					'MXN' => 'MXN (Mexican Peso)',
					'NOK' => 'NOK (Norwegian Krone)',
					'NZD' => 'NZD (New Zealand Dollar)',
					'PHP' => 'PHP (Philippine Peso)',
					'PLN' => 'PLN (Polish Zloty)',
					'GBP' => 'GBP (Pound Sterling)',
					'RUB' => 'RUB (Russian Ruble)',
					'SGD' => 'SGD (Singapore Dollar)',
					'SEK' => 'SEK (Swedish Krona)',
					'CHF' => 'CHF (Swiss Franc)',
					'TWD' => 'TWD (Taiwan New Dollar)',
					'THB' => 'THB (Thai Baht)',
					'USD' => 'USD (U.S. Dollar)'
			    ),
			    'default'  => 'USD',
			),
			array(
			    'id'       => 'paypal-sandbox',
			    'type'     => 'select',
			    'title'    => __('PayPal Sandbox', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => esc_html__( 'PayPal sandbox allows you to test payments - you should set it to off when you publish your publish', 'chauffeur' ),
			    'options'  => array(
			        'true' => 'On',
					'false' => 'Off'
			    ),
			    'false'  => 'Off',
			),
			array(
	            'id'       => 'paypal-address',
	            'type'     => 'text',
	            'title'    => esc_html__( 'PayPal Email Address', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'The email address PayPal payments will be sent to', 'chauffeur' ),
	            'default'  => '',
	        )
	    )

	) );
	
	Redux::setSection( $opt_name, array(
	    'title'            => esc_html__( 'Stripe', 'chauffeur' ),
	    'id'               => 'stripe',
	    'desc'             => '',
	    'customizer_width' => '400px',
	    'icon'             => 'el el-credit-card',
		'fields'           => array(
			array(
			    'id'       => 'stripe-currency',
			    'type'     => 'select',
			    'title'    => __('Stripe Currency', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => esc_html__( 'The currency Stripe payments will be process with', 'chauffeur' ),
			    'options'  => array(
			        'AED' => 'United Arab Emirates Dirham',
					'AFN' => 'Afghan Afghani',
					'ALL' => 'Albanian Lek',
					'AMD' => 'Armenian Dram',
					'ANG' => 'Netherlands Antillean Gulden',
					'AOA' => 'Angolan Kwanza',
					'ARS' => 'Argentine Peso',
					'AUD' => 'Australian Dollar',
					'AWG' => 'Aruban Florin',
					'AZN' => 'Azerbaijani Manat',
					'BAM' => 'Bosnia & Herzegovina Convertible Mark',
					'BBD' => 'Barbadian Dollar',
					'BDT' => 'Bangladeshi Taka',
					'BGN' => 'Bulgarian Lev',
					'BIF' => 'Burundian Franc',
					'BMD' => 'Bermudian Dollar',
					'BND' => 'Brunei Dollar',
					'BOB' => 'Bolivian Boliviano',
					'BRL' => 'Brazilian Real',
					'BSD' => 'Bahamian Dollar',
					'BWP' => 'Botswana Pula',
					'BZD' => 'Belize Dollar',
					'CAD' => 'Canadian Dollar',
					'CDF' => 'Congolese Franc',
					'CHF' => 'Swiss Franc',
					'CLP' => 'Chilean Peso',
					'CNY' => 'Chinese Renminbi Yuan',
					'COP' => 'Colombian Peso',
					'CRC' => 'Costa Rican Colón',
					'CVE' => 'Cape Verdean Escudo',
					'CZK' => 'Czech Koruna',
					'DJF' => 'Djiboutian Franc',
					'DKK' => 'Danish Krone',
					'DOP' => 'Dominican Peso',
					'DZD' => 'Algerian Dinar',
					'EGP' => 'Egyptian Pound',
					'ETB' => 'Ethiopian Birr',
					'EUR' => 'Euro',
					'FJD' => 'Fijian Dollar',
					'FKP' => 'Falkland Islands Pound',
					'GBP' => 'British Pound',
					'GEL' => 'Georgian Lari',
					'GIP' => 'Gibraltar Pound',
					'GMD' => 'Gambian Dalasi',
					'GNF' => 'Guinean Franc',
					'GTQ' => 'Guatemalan Quetzal',
					'GYD' => 'Guyanese Dollar',
					'HKD' => 'Hong Kong Dollar',
					'HNL' => 'Honduran Lempira',
					'HRK' => 'Croatian Kuna',
					'HTG' => 'Haitian Gourde',
					'HUF' => 'Hungarian Forint',
					'IDR' => 'Indonesian Rupiah',
					'ILS' => 'Israeli New Sheqel',
					'INR' => 'Indian Rupee',
					'ISK' => 'Icelandic Króna',
					'JMD' => 'Jamaican Dollar',
					'JPY' => 'Japanese Yen',
					'KES' => 'Kenyan Shilling',
					'KGS' => 'Kyrgyzstani Som',
					'KHR' => 'Cambodian Riel',
					'KMF' => 'Comorian Franc',
					'KRW' => 'South Korean Won',
					'KYD' => 'Cayman Islands Dollar',
					'KZT' => 'Kazakhstani Tenge',
					'LAK' => 'Lao Kip',
					'LBP' => 'Lebanese Pound',
					'LKR' => 'Sri Lankan Rupee',
					'LRD' => 'Liberian Dollar',
					'LSL' => 'Lesotho Loti',
					'MAD' => 'Moroccan Dirham',
					'MDL' => 'Moldovan Leu',
					'MGA' => 'Malagasy Ariary',
					'MKD' => 'Macedonian Denar',
					'MMK' => 'Myanmar Kyat',
					'MNT' => 'Mongolian Tögrög',
					'MOP' => 'Macanese Pataca',
					'MRO' => 'Mauritanian Ouguiya',
					'MUR' => 'Mauritian Rupee',
					'MVR' => 'Maldivian Rufiyaa',
					'MWK' => 'Malawian Kwacha',
					'MXN' => 'Mexican Peso',
					'MYR' => 'Malaysian Ringgit',
					'MZN' => 'Mozambican Metical',
					'NAD' => 'Namibian Dollar',
					'NGN' => 'Nigerian Naira',
					'NIO' => 'Nicaraguan Córdoba',
					'NOK' => 'Norwegian Krone',
					'NPR' => 'Nepalese Rupee',
					'NZD' => 'New Zealand Dollar',
					'PAB' => 'Panamanian Balboa',
					'PEN' => 'Peruvian Nuevo Sol',
					'PGK' => 'Papua New Guinean Kina',
					'PHP' => 'Philippine Peso',
					'PKR' => 'Pakistani Rupee',
					'PLN' => 'Polish Złoty',
					'PYG' => 'Paraguayan Guaraní',
					'QAR' => 'Qatari Riyal',
					'RON' => 'Romanian Leu',
					'RSD' => 'Serbian Dinar',
					'RUB' => 'Russian Ruble',
					'RWF' => 'Rwandan Franc',
					'SAR' => 'Saudi Riyal',
					'SBD' => 'Solomon Islands Dollar',
					'SCR' => 'Seychellois Rupee',
					'SEK' => 'Swedish Krona',
					'SGD' => 'Singapore Dollar',
					'SHP' => 'Saint Helenian Pound',
					'TJS' => 'Tajikistani Somoni',
					'SLL' => 'Sierra Leonean Leone',
					'SOS' => 'Somali Shilling',
					'SRD' => 'Surinamese Dollar',
					'STD' => 'São Tomé and Príncipe Dobra',
					'SVC' => 'Salvadoran Colón',
					'SZL' => 'Swazi Lilangeni',
					'THB' => 'Thai Baht',
					'TOP' => 'Tongan Paʻanga',
					'TRY' => 'Turkish Lira',
					'TTD' => 'Trinidad and Tobago Dollar',
					'TWD' => 'New Taiwan Dollar',
					'TZS' => 'Tanzanian Shilling',
					'UAH' => 'Ukrainian Hryvnia',
					'UGX' => 'Ugandan Shilling',
					'USD' => 'United States Dollar',
					'UYU' => 'Uruguayan Peso',
					'UZS' => 'Uzbekistani Som',
					'VND' => 'Vietnamese Đồng',
					'VUV' => 'Vanuatu Vatu',
					'WST' => 'Samoan Tala',
					'XAF' => 'Central African Cfa Franc',
					'XCD' => 'East Caribbean Dollar',
					'XOF' => 'West African Cfa Franc',
					'XPF' => 'Cfp Franc',
					'YER' => 'Yemeni Rial',
					'ZAR' => 'South African Rand',
					'ZMW' => 'Zambian Kwacha'
			    ),
			    'default'  => 'USD',
			),
			array(
			    'id'       => 'stripe-testmode',
			    'type'     => 'select',
			    'title'    => __('Stripe Test Mode', 'chauffeur'), 
			    'subtitle' => '',
			    'desc'     => esc_html__( 'Stripe test mode allows you to test payments - you should set it to off when you publish your publish', 'chauffeur' ),
			    'options'  => array(
			        'on' => 'On',
					'off' => 'Off'
			    ),
			    'false'  => 'Off',
			),
			array(
	            'id'       => 'stripe-test-secret-key',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Test Secret Key', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => '',
	            'default'  => '',
	        ),
			array(
	            'id'       => 'stripe-test-publishable-key',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Test Publishable Key', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => '',
	            'default'  => '',
	        ),
			array(
	            'id'       => 'stripe-live-secret-key',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Live Secret Key', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => '',
	            'default'  => '',
	        ),
			array(
	            'id'       => 'stripe-live-publishable-key',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Live Publishable Key', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => '',
	            'default'  => '',
	        )
	    )

	) );

	Redux::setSection( $opt_name, array(
	    'title'            => esc_html__( 'Logo', 'chauffeur' ),
	    'id'               => 'logo',
	    'desc'             => '',
	    'customizer_width' => '400px',
	    'icon'             => 'el el-picture',
		'fields'           => array(
			array(
	            'id'       => 'logo-image',
	            'type'     => 'media',
	            'title'    => esc_html__( 'Logo Image', 'chauffeur' ),
	            'desc'     => esc_html__( 'Add a logo image', 'chauffeur' ),
	            'subtitle' => '',
	        ),
	    )

	) );

	Redux::setSection( $opt_name, array(
		'title'            => esc_html__( 'Colors', 'chauffeur' ),
		'id'               => 'colors',
		'desc'             => '',
		'customizer_width' => '400px',
		'icon'             => 'el el-cog',
		'fields'     => array(
			array(
	            'id'       => 'main-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Main Color', 'chauffeur' ),
	            'subtitle' => esc_html__( 'Pick a main color for the theme (default: #cc4452).', 'chauffeur' ),
	            'default'  => '#cc4452',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'main-color-overlay',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Main Color Overlay', 'chauffeur' ),
	            'subtitle' => esc_html__( 'Overlayed on top of the main color (default: #e7aeb4)', 'chauffeur' ),
	            'default'  => '#e7aeb4',
	            'validate' => 'color',
	        ),
	        array(
	            'id'       => 'secondary-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Secondary Background Color', 'chauffeur' ),
	            'subtitle' => esc_html__( 'Pick a background color for the footer / other dark areas (default: #1c1c1c).', 'chauffeur' ),
	            'default'  => '#1c1c1c',
	            'validate' => 'color',
	        ),
			array(
				'id'       => 'secondary-color-border',
				'type'     => 'color',
				'title'    => esc_html__( 'Secondary Color Border Color', 'chauffeur' ),
				'subtitle' => esc_html__( 'Border color overlayed on the secondary color (default: #3b3b3b).', 'chauffeur' ),
				'default'  => '#3b3b3b',
				'validate' => 'color',
			),
			array(
				'id'       => 'secondary-color-text',
				'type'     => 'color',
				'title'    => esc_html__( 'Secondary Color Alt Text Color', 'chauffeur' ),
				'subtitle' => esc_html__( 'Alternative color of text overlayed on the secondary background color (default: #838383).', 'chauffeur' ),
				'default'  => '#838383',
				'validate' => 'color',
			),
		)
	) );

	Redux::setSection( $opt_name, array(
	    'title'            => esc_html__( 'Fonts', 'chauffeur' ),
	    'id'               => 'fonts',
	    'desc'             => '',
	    'customizer_width' => '400px',
	    'icon'             => 'el el-font',
		'fields'     => array(
			array(
	            'id'       => 'google_font_name_1',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Font Family 1 (Used For Titles)', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( "e.g. 'Montserrat', sans-serif", 'chauffeur' ),
	            'default'  => "'Montserrat', sans-serif",
	        ),
			array(
	            'id'       => 'google_font_url_1',
	            'type'     => 'textarea',
	            'title'    => esc_html__( 'Font URL 1', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( "Only required if you're using Google Fonts or similar, e.g. Montserrat:400,700", 'chauffeur' ),
	            'default'  => "Montserrat:400,700",
	        ),	
			array(
	            'id'       => 'google_font_name_2',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Font Family 2 (Used For Body)', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( "e.g. 'Source Sans Pro', sans-serif", 'chauffeur' ),
	            'default'  => "'Source Sans Pro', sans-serif",
	        ),
			array(
	            'id'       => 'google_font_url_2',
	            'type'     => 'textarea',
	            'title'    => esc_html__( 'Font URL 2', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( "Only required if you're using Google Fonts or similar, e.g. Source Sans Pro:400,200,200italic,300,300italic,400italic,600,600italic,700,700italic,900,900italic", 'chauffeur' ),
	            'default'  => "Source Sans Pro:400,200,200italic,300,300italic,400italic,600,600italic,700,700italic,900,900italic",
	        ),
		)
	) );

	Redux::setSection( $opt_name, array(
	    'title'            => esc_html__( 'Page Header', 'chauffeur' ),
	    'id'               => 'page-header',
	    'desc'             => '',
	    'customizer_width' => '400px',
	    'icon'             => 'el el-file',
		'fields'     => array(
	        array(
	            'id'       => 'page-header-image',
	            'type'     => 'media',
	            'title'    => esc_html__( 'Default Page Header Image', 'chauffeur' ),
	            'desc'     => esc_html__( 'Displayed on all pages a header image is not set in the page options', 'chauffeur' ),
	            'subtitle' => '',
	        ),
		)
	) );

	Redux::setSection( $opt_name, array(
	    'title'            => esc_html__( 'Custom JS', 'chauffeur' ),
	    'id'               => 'custom-js',
	    'desc'             => '',
	    'customizer_width' => '400px',
	    'icon'             => 'el el-edit',

		'fields'     => array(
	        array(
	            'id'       => 'custom_js',
	            'type'     => 'textarea',
	            'title'    => esc_html__( 'Custom JS', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Add your own custom JS to the theme', 'chauffeur' ),
	            'default'  => '',
			),
		)
	) );

	Redux::setSection( $opt_name, array(
		'title'            => esc_html__( 'Social', 'chauffeur' ),
		'id'               => 'social',
		'desc'             => '',
		'customizer_width' => '400px',
		'icon'             => 'el el-facebook',
		'fields'           => array(
			array(
	            'id'       => 'social-link-target',
	            'type'     => 'checkbox',
	            'title'    => esc_html__( 'Open social links in new window/tab', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => '',
	            'default'  => '1'// 1 = on | 0 = off
	        ),
			array(
	            'id'       => 'facebook-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Facebook URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'flickr-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Flickr URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'googleplus-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'GooglePlus URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'instagram-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Instagram URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'linkedin-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'LinkedIn URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'pinterest-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Pinterest URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'skype-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Skype URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'soundcloud-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Soundcloud URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'tripadvisor-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'TripAdvisor URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'tumblr-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Tumblr URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'twitter-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Twitter URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'vimeo-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Vimeo URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'vine-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Vine URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'yelp-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Yelp URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
			array(
	            'id'       => 'youtube-icon',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Youtube URL', 'chauffeur' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Enter URL e.g. http://website.com/username', 'chauffeur' ),
	            'default'  => '',
	        ),
	    )
	) );